Subject: bug#43151: Resolve Calibre run-time dependency

From: Brendan Tildesley <[email-masked]>
Date: Mon, 7 Sep 2020 18:15:15 +1000

Sorry I tried sending this with a typo in your gmail address so I'm 
resending just for you:

On 7/9/20 6:12 pm, Brendan Tildesley wrote:
> There is actually a Bug report by Andreas for this very issue. I 
> created a bug report just for updating, and fixed this issue after it 
> while I could, without realising. Sorry for all the confusion with 
> things happening in 3 different threads.
>
> I created an updated patch just for this one here. 
> https://issues.guix.gnu.org/43151#5
>
> Your patch also works I think but it will wrap the programs twice, so 
> you will get calibre, .calibre-real, and ..calibre-real-real, etc for 
> every program, which seems ugly. My patch reproduces the same 
> PYTHONPATH that is set in python-build-system in addition to wrapping 
> PYTHONPATH (unless I made a mistake), although at the cost of code 
> duplication. I leave it to you and who ever is reviewing this to 
> decide which way is more correct and push one, haha.
>
>
> Please continue any discussion of the QtWebEngine bug on issue 43121: 
> [email-masked] / https://issues.guix.gnu.org/43151